.TH XUZK 1 "" "Users Manual"
.SH NAME
xuzk - X based frontend for UZK (USB eazy keyboard emulator)
.SH SYNOPSIS
.B "xuzk"
[\-d \fIdisplay\fP] [\-g \fIgeometry\fP]
[\-n \fIstring\fP] [\-b \fIpixels\fP] [\-r] [\-l \fIuhid\fP]
[\-c] [\-v]
.SH DESCRIPTION
.LP
\fIXuzk\fP converts X key events to USB keyboard scancode,
and drives \fIUZK\fP thru uhid device
to make real USB keyboard protocol transactions.
.LP
With UZK and xuzk,
.TP 4
1.
you can send key event for other PCs as if they are X client.
.TP 4
2.
you can not tuning key repeat rate at each system.
.TP 4
3.
you can share your favorite key mapping on X with other PC.
.SH OPTIONS
.TP 8
.B \-d \fIdisplay\fP
This option specifies the X server to contact.
.TP 8
.B \-g \fIgeometry \fP
This option specifies the size and/or location of the window.
.TP 8
.B \-n \fIstring\fP
This option specifies the name to assign to the created window.
.TP 8
.B \-b \fIpixels\fP
This option specifies the border width for the window.
.TP 8
.B \-r
This option specifies that the window should be in reverse video.
.TP 8
.B \-l \fIuhid\fP
This option specifies uhid device which connect to UZK.
device /dev/uhid0 is used as default if not specified.
.TP 8
.B \-c
With this option, you can control 2 key strokes - [CTRL]+[ALT] by button 2.
This is toggled action. First, [CTRL]+[ALT] are pressed, and the second,
they are released.
.br
It may be useful if you want to send [CTRL]+[ALT]+[BS] for PC
passing thruogh X server running xuzk.
.TP 8
.B \-v
This option specifies that turn on verbose mode, misc debug infos are
appeared from stdout.
.br
.br
.SH KERNEL CONFIGRATION
FreeBSD4.6R kernel's default execution granularity seems to be 10msec.
and usleep(1/*usec*/); sleeps about 20msec experimentally.
For more comfortable keyboard response,
it may be better to make this granularity fine.
So I recommand to add
.PP
.RS
.B
options HZ=250
.RE
.PP
or more in your kernel configration file and do kernel reconfiguration.
.SH AUTHOR
uratan@po.iijnet.or.jp
.TP
see http://www002.upp.so-net.ne.jp/uratan/UZK/
